<%= render :partial => '/search/record_navigation' %>

<% logo = "./public/publishers/pub_#{@publisher.id}.gif"%>
<% if File.exists? logo %>
    <p class="commands"><%=link_to(image_tag("/publishers/pub_#{@publisher.id}.gif", :border => 0, :width => 200, :height => 50), @publisher.www )%></p>
<% end %>

<h1>Full Record 
    <% if @search %><small>(<%= @search.record_index + 1 %> of <%= @search.number_of_records%>)</small><% end %>
</h1>

<h1>Publisher information for '<%= @publisher.label %>'</h1>

<p class="commands">
    <%= link_to 'Edit', :action => 'edit', :id => @publisher , :search_id => params[:search_id]%>
</p>    

<table>
    <tr><td class="label">Country:</td><td><%= @publisher.country ? "#{@publisher.country.code} (#{@publisher.country.label})" : hyphenate %></td></tr>
    <tr><td class="label">City:</td><td><%= @publisher.city%></td></tr>
    <tr><td class="label">Label:</td><td><%= @publisher.label%></td></tr>
    <tr><td class="label">Name:</td><td><%= @publisher.name%></td></tr>
    <tr><td class="label">Homepage:</td><td><%= (@publisher.www == nil or @publisher.www == "") ? hyphenate : link_to(@publisher.www, @publisher.www, :target => 'new') %></td></tr>
    <tr><td class="label">Category: </td><td><%= @publisher.verlag_category %></td></tr>
    <% if @publisher.successor %>
	    <tr>
	        <td class="label">Has successor:</td>
	        <td><a href= "<%= url_for  :action => :show, :id => @publisher.successor %>"><%= @publisher.successor.label %></a></td>
	    </tr>
    <% end %>
    <tr><td class="label">Misc. information: </td><td><%= @publisher.comment_english %></td></tr>
    <tr><td class="label">Done:</td><td><%= code_label @publisher.done, "done" %></td></tr>
    <tr><td class="label">Intern info: </td><td><%= @publisher.intern_info %></td></tr>
    <tr><td class="label">Relevant Entries:</td><td><%= @publisher_works %></td></tr>
    <% if @publisher.predecessors.size > 0 %>
        <tr>
            <td class="label">Is successor of:</td>
            <td>
                <% br = ""; @publisher.predecessors.each do |predecessor| %>
                    <%= br%>
                    <a href= "<%= url_for :action => :show, :id => predecessor %>"><%= predecessor.label %></a>
                <% br = "<br />"; end %>

            </td>
        </tr>
    <% end %>
    <tr><td class="label">State:</td><td><%= code_label @publisher.state, 'state' %></td></tr>
</table>